@import url('https://fonts.googleapis.com/css2?family=Inter:wght@100;400;900&family=Roboto+Condensed:wght@300;400;700&family=Roboto:wght@400;700&display=swap');

/*         font-family: 'Inter', sans-serif;  100 400 900

    font-family: 'Roboto', sans-serif; 400 700

    font-family: 'Roboto Condensed', sans-serif; 300 400 700 */

* {
    box-sizing: border-box;
}

html {
    font-size: 62.5%;
}

body {
    min-width: 320px;
    margin: 0 auto;
    min-height: 100vh;
    overflow-x: hidden;
    font-family: 'Roboto Condensed', sans-serif;
    font-size: 1.6rem;
    line-height: 1.8rem;
    color: #0F111A;
}

a {
    text-decoration: none;
    display: inline-block;
}

ul,
li {
    list-style: none;
    margin: 0;
    padding: 0;
}

.container {
    max-width: 1880px;
    margin: 0 auto;
    padding: 0 5vw;
}

header {
    padding: 24px 0;
    list-style: none;
}

.header__inner {
    display: flex;
    justify-content: space-between;
}

#logo {
    width: 88px;
}

.menu__icon {
    display: flex;
    height: 36px;
    flex-direction: column;
    align-items: end;
    z-index: 2;
    cursor: pointer;
}


/* HIDING__HEADER____________________________________ */

.header__inner {
    position: fixed;
    top: 0;
    left: 0;
    padding: 8px 16px 4px;
    border-radius: 0 0 20% 20%;
    z-index: 9999;
    transition: all 300ms ease-in-out;
    width: 100%;
    background-color: rgba(255, 255, 255, 0.4);
    backdrop-filter: blur(10px);
}

.scroll-down .header__inner {
    transform: translate3d(0, -100%, 0);
}

.scroll-up .header__inner {
    filter: drop-shadow(0px 0px 6px #fff);
}

.menu-is-open {
    overflow: hidden;
}

.menu-is-open header {
    filter: none;
}


/* MENU_________________ */

.header__menu {
    position: fixed;
    top: -120%;
    left: 0;
    width: 100%;
    height: 100%;
    font-family: 'Inter', sans-serif;
    background-color: rgba(255, 255, 255, 0.8);
    backdrop-filter: blur(10px);
    transition: all .5s ease 0s;
    overflow: auto;
    padding: 58vh 24px 0;
    text-align: right;
}

.header__menu::after {
    content: "меню";
    transform: rotate(-90deg);
    color: rgb(130, 141, 238);
    font-family: 'Inter', sans-serif;
    font-weight: 100;
    position: absolute;
    font-size: 25rem;
    z-index: 10;
    top: 50%;
    right: -10%;
    line-height: 0;
    opacity: .5;
}

.header__list li {
    margin-bottom: 24px;
    text-shadow: 0px 1px 1px rgba(165, 99, 99, 0.02), 0px 3px 3px rgba(0, 0, 0, 0.05);
    text-transform: lowercase;
}

.header__menu.active {
    top: 0;
    z-index: 1;
}

body.lock .header__logo {
    transform: translateY(-150%);
    transition: all 300ms;
}

body.lock .header__inner {
    background-color: transparent;
    backdrop-filter: blur(0px);
}

body.lock {
    overflow: hidden;
}

.line {
    display: block;
    border-bottom: 2px solid #4A4A4A;
    height: 7px;
    transition: all .5s ease 0s;
}

.line.active {
    height: 0;
}

.menu__line_top {
    width: 35px;
}

.menu__line_top.active {
    transform: rotate(-45deg);
    margin-top: 16px;
}

.menu__line_middle {
    width: 30px;
}

.menu__line_middle.active {
    width: 35px;
    transform: rotate(45deg);
}

.menu__line_bottom {
    width: 25px;
}

.menu__line_bottom.active {
    width: 0;
}

.logo__link {
    margin-left: -32px;
}

.logo {
    position: relative;
    transform: scale(.7);
}

.logo::before {
    position: absolute;
    content: url(/img/logo__top.svg);
    left: -1px;
    top: 5px;
    animation-name: logo;
    animation-duration: 2s;
    animation-delay: 1s;
    animation-fill-mode: forwards;
}

.logo:hover::before {
    transform: translateY(11px);
    transition: all .3s;
    transform-origin: top center;
}

.logo:hover {
    filter: drop-shadow(0px 0px 8px rgba(0, 0, 0, .3));
}

@keyframes logo {
    0% {
        top: 5px;
    }
    100% {
        top: -6px;
    }
}

.top__slogan {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    font-family: 'Inter', sans-serif;
    font-weight: 900;
    color: #3A323A;
    letter-spacing: -1.3px;
    line-height: 3.4rem;
    margin: 5vh auto 0 0;
    overflow-x: hidden;
}

.top__slogan h1 {
    min-width: 300px;
    text-shadow: 0px 1px 1px rgba(2, 183, 255, 0.02), 0px 3px 3px rgba(40, 170, 245, 0.05);
    /* -webkit-text-fill-color: transparent;
    background: -webkit-linear-gradient(-70deg, #2188ff, #804eda);
    background-clip: border-box;
    -webkit-background-clip: text;
    background-clip: text;
    -webkit-box-decoration-break: clone; */
    margin-left: 5vw;
}

.illustration__wrapper {
    position: relative;
    overflow-x: hidden;
    margin: 112px -15px 22px -321px;
}

#constructing {
    max-width: 1000px;
    width: 100vw;
}

.services {
    position: relative;
    margin: 6vh 0;
    min-height: 60vh;
    overflow: hidden;
}

.price__time {
    position: relative;
}

.price__time_text {
    position: relative;
    background-color: rgba(255, 255, 255, 0.5);
    backdrop-filter: blur(14px);
    width: 100%;
    height: 100%;
    padding: 5vh 0;
    font-size: 7vw;
    line-height: 8vw;
    font-weight: 300;
}

.price__time_text mark {
    background-color: #242c42;
    padding: 0 0.5ch;
    color: #fff;
}

.price__time_text b {
    font-weight: 700;
}


/* FLOATING FIGURES */

.bgnd_circle1 {
    position: absolute;
    width: 40vw;
    z-index: -1;
    bottom: 10%;
    left: 20%;
    animation: circle1 12s linear infinite alternate-reverse;
}

@keyframes circle1 {
    from {
        bottom: 40%;
        left: 20%;
    }
    to {
        bottom: 5%;
        left: 80%;
    }
}


/* .top__text::before {
    content: "";
    position: absolute;
    z-index: 0;
    width: 100px;
    height: 100px;
    background-image: url(/img/22-512.png);
    background-size: cover;
} */

.top__title h2 {
    font-size: 15vw;
    text-align: right;
    font-family: 'Inter', sans-serif;
    font-weight: 100;
    letter-spacing: -0.9px;
    -webkit-animation: move 4s linear infinite;
    animation: move 6s linear infinite;
    background-image: linear-gradient(to right, #77f, #338cff, #0fa0cc, #77f);
    background-size: 200% auto;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    line-height: 15vw;
    margin-bottom: 5vh;
    text-shadow: 0px 1px 1px rgba(2, 183, 255, 0.02), 0px 3px 3px rgba(40, 170, 245, 0.05);
}

@-webkit-keyframes move {
    to {
        background-position: 200% center;
    }
}

@keyframes move {
    to {
        background-position: 200% center;
    }
}

.top__subtitle {
    font-family: 'Inter', sans-serif;
    font-size: 10vw;
    text-align: left;
    line-height: 10vw;
    letter-spacing: -2px;
}

.animated_gradient {
    -webkit-animation: move 4s linear infinite;
    animation: move 6s linear infinite;
    background-image: linear-gradient(to right, #77f, #338cff, #0fa0cc, #77f);
    background-size: 200% auto;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.animated__seal {
    text-align: center;
}

.animated__seal {
    filter: blur(6px);
}


/* *************************************** */

.jpgcdr {
    position: relative;
    height: 640px;
}

.jpgcdr__text {
    position: absolute;
    height: 100%;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    min-width: 280px;
    font-size: 6vw;
    line-height: 8vw;
    text-align: center;
}

.circles__container {
    z-index: -1;
    position: relative;
    top: 246px;
}

.circles {
    overflow: visible;
    width: 100%;
    z-index: -1;
}

.cdr__jpg_wrapper {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    background-image: url(/img/cdr_jpg_base.svg);
    background-position: center center;
    width: 200px;
    height: 200px;
}

#jpg_cdr {
    /* animation: spin 4s ease infinite;
    transform-origin: center; */
    filter: drop-shadow(0px 0px 8px rgba(0, 0, 0, .3));
}

.jpgcdr__prices,
.jpgcdr__timing {
    color: #e6e6e6;
    position: absolute;
}

.jpgcdr__prices {
    top: 80px;
    font-size: 8vw;
    line-height: 10vw;
}

.jpgcdr__timing {
    bottom: 67px;
}

@keyframes spin {
    from {
        transform: rotateZ(0deg);
    }
    to {
        transform: rotateZ(360deg);
    }
}

._2Nljm .GY6pp {
    transition-property: transform;
    transition-duration: .3s;
    transition-timing-function: cubic-bezier(.64, .04, .35, 1)
}

._2Nljm #circle-inner0 {
    transition-delay: 50ms
}

._2Nljm #circle-inner1 {
    transition-delay: .1s
}

._2Nljm #circle-inner2 {
    transition-delay: .15s
}

._2Nljm #circle-inner3 {
    transition-delay: .2s
}

._2Nljm #circle-center {
    transition-delay: .25s
}

.price__calc {
    z-index: 1000;
    position: fixed;
    display: inline-block;
    width: auto;
    height: 46px;
    border-radius: 10px;
    background-color: #0F111A;
    padding: 16px;
    right: 32px;
    bottom: 24px;
    box-shadow: 0px 1px 5px rgba(0, 0, 0, 0.2), 0px 3px 30px rgba(0, 0, 0, 0.4);
}

.price {
    font-size: 18px;
    color: aliceblue;
    line-height: 14px;
}

#result {
    font-size: 24px;
    font-weight: 700;
    color: #1AA7EC;
}

.calc__button {
    font-family: 'Inter', sans-serif;
    font-weight: 400;
    letter-spacing: -1px;
    display: inline-block;
    min-width: 140px;
    white-space: nowrap;
    height: 28px;
    padding: 16px;
    color: #0F111A;
    font-size: 5vw;
    line-height: 0px;
    margin: 16px 13% 24px 42%;
    --borderWidth: 2px;
    background: #fff;
    position: relative;
    border-radius: 30px;
}

.calc__button:after {
    content: '';
    position: absolute;
    top: calc(-1 * var(--borderWidth));
    left: calc(-1 * var(--borderWidth));
    height: calc(100% + var(--borderWidth) * 2);
    width: calc(100% + var(--borderWidth) * 2);
    background: linear-gradient(60deg, #f79533, #f37055, #ef4e7b, #a166ab, #5073b8, #1098ad, #07b39b, #6fba82);
    border-radius: 30px;
    z-index: -1;
    -webkit-animation: animatedgradient 5s ease alternate infinite;
    animation: animatedgradient 5s ease alternate infinite;
    background-size: 300% 300%;
}

@-webkit-keyframes animatedgradient {
    0% {
        background-position: 0% 50%;
    }
    50% {
        background-position: 100% 50%;
    }
    100% {
        background-position: 0% 50%;
    }
}

@keyframes animatedgradient {
    0% {
        background-position: 0% 50%;
    }
    50% {
        background-position: 100% 50%;
    }
    100% {
        background-position: 0% 50%;
    }
}


/* .calc__button {
    font-family: 'Inter', sans-serif;
    font-weight: 400;
    letter-spacing: -1px;
    display: inline-block;
    min-width: 140px;
    white-space: nowrap;
    height: 28px;
    border: 2px solid #1AA7EC;
    border-radius: 30px;
    padding: 16px;
    color: #0F111A;
    font-size: 16px;
    line-height: 0px;
    margin: 16px 13% 24px 46%;
}

.calc__button::before {
    transform: scaleX(0);
    transform-origin: bottom right;
}

.calc__button:hover {
    color: #FFF;
}

.calc__button:hover::before {
    transform: scaleX(1);
    transform-origin: bottom left;
}

.calc__button::before {
    content: " ";
    display: block;
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    inset: 0 0 0 0;
    background: #1AA7EC;
    z-index: -1;
    transition: transform .3s ease;
}

.calc__button {
    position: relative;
} */

.form__box-inner label {
    font-weight: 700;
}

.form {
    margin: 36px auto;
}

.form__inner {
    padding-bottom: 40px;
    background-image: url(/img/form-fon.png);
    min-height: 460px;
    background-repeat: no-repeat;
    background-position: bottom right;
}


/* _____________________________________FORM */

.form {
    max-width: 550px;
    margin: 0 auto;
    background-color: #fff;
    padding-top: 36px;
    border-radius: 24px;
}

.form__item {
    margin-bottom: 32px;
}

.form__title {
    margin-top: 0;
}

.form_label {
    font-family: 'Montserrat', sans-serif;
}

.form_input {
    height: 36px;
    padding: 0 20px;
    border-radius: 8px;
    width: 100%;
    background: #F3F3F3;
    border: 1px solid #fff;
    font-family: 'Roboto', sans-serif;
    font-weight: 300;
    letter-spacing: 0.7px;
    color: #4A4A4A;
    outline: none;
}

.form_input:focus {
    border: 1px solid #4A4A4A;
    background: #fff;
    color: black;
    transition: all .5s;
}

textarea.form_input {
    min-height: 120px;
    resize: vertical;
    padding: 20px;
}

.form__radio_wrapper {
    margin-top: 48px;
}

.form__options_wrapper {
    display: flex;
    justify-content: space-evenly;
    margin: 24px 0;
}

.form__radio_know {
    margin-top: 48px;
    font-family: 'Roboto Condensed', sans-serif;
}

.options_input {
    display: none;
}

.options_input:checked+.options_label {
    background-color: #7a7a7a;
    border: none;
    color: #fff;
    box-shadow: 0px 2px 2px rgba(165, 99, 99, 0.03), 0px 5px 5px rgba(0, 0, 0, 0.07);
}

.options_label {
    background-color: #fff;
    border: 1px solid #DDDDDD;
    border-radius: 20px;
    padding: 0 12px 0 12px;
    cursor: pointer;
    transition: all .3s;
    font-size: 1.6rem;
    line-height: 2.8rem;
}

.options_label:hover {
    transition: all .3s;
    border: 1px solid #0011ff;
    box-shadow: 0px 2px 2px rgba(165, 99, 99, 0.03), 0px 5px 5px rgba(0, 0, 0, 0.07);
}

.file__item {
    position: relative;
    margin: 48px 0 48px 20px;
}

.file_input,
.submit_button {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 0;
    font-size: 0;
    cursor: pointer;
}

.file__item:hover {
    color: #0011ff;
    transition: all .3s;
}

.file__item:active {
    filter: drop-shadow(0 0 0.75rem #000);
}

.form__send_button:hover {
    color: #0011ff;
    transition: all .3s;
}

.form_submit {
    margin-left: 31px;
}

.form__send_button {
    position: relative;
    font-family: 'Montserrat', sans-serif;
    margin-left: 43px;
}

.form__send_button::before {
    position: absolute;
    content: "";
    left: -24px;
    height: 30px;
    width: 30px;
    border: 1px solid #4A4A4A;
    border-radius: 16px;
    transition: all .3s;
    top: -3px;
}

.form__send_button:hover::before {
    width: 190px;
}

.form__send_button:active {
    filter: drop-shadow(0 0 0.75rem #000);
}

.file__button {
    font-family: 'Montserrat', sans-serif;
    cursor: pointer;
    margin: 48px 0 48px 20px;
}

.file__button::before {
    position: absolute;
    left: 0;
    content: "";
    height: 22px;
    width: 12px;
    background-image: url(/img/attach_icon.svg);
}

.img-arrow-form {
    position: absolute;
    top: 7px;
    left: -10px;
    width: 31px;
    height: 12px;
}

.form__send_disclaimer {
    font-size: 1.2rem;
    line-height: 1.2rem;
    margin: 11px 0 58px 50px;
}

.form__logo {
    display: flex;
    flex-direction: row-reverse;
    width: 100%;
    padding: 24px;
}


/* #form_logo {
    width: 80px;
} */


/* FOOTER______________________ */

footer {
    min-height: 60vh;
    background-color: #CAD5D8;
    color: #254B66;
    position: relative;
    overflow-x: hidden;
}

.footer__wrapper {
    padding: 5vh 0;
    position: relative;
}

.social__text a {
    display: block;
    margin-bottom: 16px;
}

.social_icon {
    height: 24px;
}

#footer_logo {
    float: right;
    position: absolute;
    top: 5vh;
    right: 0;
    width: 56px;
}

footer .title {
    font-weight: 400;
}

.bottom__stripe {
    display: block;
    background-color: #9AAFBC;
    text-align: center;
    line-height: 4vh;
}